import { FunctionComponent, ReactNode } from 'react';
import { StoryProps as PureStoryProps } from '@storybook/components';
import { DocsContextProps } from './DocsContext';
export declare const storyBlockIdFromId: (storyId: string) => string;
interface CommonProps {
    height?: string;
    inline?: boolean;
}
declare type StoryDefProps = {
    name: string;
    children: ReactNode;
} & CommonProps;
declare type StoryRefProps = {
    id?: string;
} & CommonProps;
export declare type StoryProps = StoryDefProps | StoryRefProps;
export declare const getStoryProps: (props: StoryProps, { id: currentId, storyStore, mdxStoryNameToKey, mdxComponentMeta }: DocsContextProps) => PureStoryProps;
declare const StoryContainer: FunctionComponent<StoryProps>;
export { StoryContainer as Story };
